org.apache.hadoop.crypto.key

## Class KeyProvider.KeyVersion

- java.lang.Object
- - org.apache.hadoop.crypto.key.KeyProvider.KeyVersion

- Direct Known Subclasses:
    KMSClientProvider.KMSKeyVersion
  Enclosing class:
    KeyProvider

      public static class KeyProvider.KeyVersion
      extends Object

  The combination of both the key version name and the key material.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `KeyVersion(String name, String versionName, byte[] material)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object rhs)`
    `byte[]` | `getMaterial()`
    `String` | `getName()`
    `String` | `getVersionName()`
    `int` | `hashCode()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### KeyVersion

          protected KeyVersion(String name,
                               String versionName,
                               byte[] material)

  - ### Method Detail

    - #### getName

          public String getName()

    - #### getVersionName

          public String getVersionName()

    - #### getMaterial

          public byte[] getMaterial()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object rhs)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.